TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

ResidueClassDegree ( elt-ids^int/ord^fun I ) -> elt-ord^rat

### Description

<shortdoc> The residue class degree of the prime ideal I over the corresponding prime of its coefficient ring. </shortdoc>

### Examples

x_gf3:=FiniteField(3); x_gf3x:=PolynomialAlgebra(x_gf3); x_gf3xy:=PolynomialAlgebra(x_gf3x); x_f:=x_gf3xy.1^2+1; x_F:=FunctionField(x_f); x_O:=MaximalOrderFinite(x_F); x_I:=x_gf3x.1*x_O; ResidueClassDegree(x_I);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack